Index: code/branches/surfaceraceHS14/data/levels/DodgeRace.oxw
===================================================================
--- code/branches/surfaceraceHS14/data/levels/DodgeRace.oxw	(revision 10128)
+++ code/branches/surfaceraceHS14/data/levels/DodgeRace.oxw	(revision 10135)
@@ -15,4 +15,5 @@
   include("templates/spaceshipDodgeRace.oxt")
   include("templates/enemyInvader.oxt")
+  include("templates/DodgeRacePattern.oxt")
   include("overlays/InvaderHUD.oxo")
 ?>
@@ -38,5 +39,5 @@
 
     <!-- <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/> -->
-    <Light type=directional position="1100, 11000, -7000" lookat="0, 0, 0" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0" />
+    <Light type=directional position="-100, 10000, -700" lookat="0.2, -1, 0" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0" />
     <SpawnPoint team=0 position="-200,0,0" lookat="0,0,0" spawnclass=DodgeRaceShip pawndesign=spaceshipdodgerace />
 
@@ -47,5 +48,5 @@
     
     
-  <StaticEntity position="1500,0,50" direction="0,0,0"   scale="1" collisionType=static mass=0 friction=0.01 >
+  <StaticEntity position="1500,40,50" direction="0,0,0"   scale="1" collisionType=static mass=0 friction=0.01 >
       <attached>
         <Model position="0,0,0" mesh="blackcube.mesh" scale3D="50,50,50" />
@@ -57,11 +58,22 @@
 
   </StaticEntity>
-  <StaticEntity position="4500,0,-30" direction="0,0,0"   scale="1" collisionType=static mass=1 friction=0.01 >
+  <StaticEntity position="4500,50,-30" direction="0,0,0"   scale="1" collisionType=static mass=1 friction=0.01 >
       <attached>
-        <Model position="0,0,0" mesh="blackcube.mesh" scale3D="50,50,50" />
+        <Model position="0,0,0" mesh="blackcube.mesh" scale3D="50,40,50" />
       </attached>
 
       <collisionShapes>
         <BoxCollisionShape position="0,0,0" halfExtents="50,50,50" />
+      </collisionShapes>
+
+  </StaticEntity>
+  
+  <StaticEntity position="0,-10,0" direction="0,0,0"   scale="1" collisionType=static mass=1 friction=0.01 >
+      <attached>
+        <Model position="0,0,0" mesh="CubeGround.mesh" scale3D="100000,2,100000" />
+      </attached>
+
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="1,1,1" />
       </collisionShapes>
 
Index: code/branches/surfaceraceHS14/data/levels/templates/DodgeRacePattern.oxt
===================================================================
--- code/branches/surfaceraceHS14/data/levels/templates/DodgeRacePattern.oxt	(revision 10135)
+++ code/branches/surfaceraceHS14/data/levels/templates/DodgeRacePattern.oxt	(revision 10135)
@@ -0,0 +1,19 @@
+<Template name=DodgeRaceCube01>
+  
+	<StaticEntity position="0,0,0" direction="0,0,0"   scale="1" collisionType=static mass=1 friction=0.01 >
+      <attached>
+        <Model position="0,0,0" 	mesh="blackcube.mesh" 		scale3D="600,50,50" />
+		<Model position="0,0,950" 	mesh="blackcube.mesh" 		scale3D="600,50,50" />
+		<Model position="800,0,50" 	mesh="blackcube.mesh" 		scale3D="100,50,100" />
+		<Model position="800,0,850"	mesh="blackcube.mesh" 		scale3D="100,50,100" />
+		<Model position="850,0,250"	mesh="blackcube.mesh" 		scale3D="50,40,100" />
+		<Model position="850,0,450"	mesh="blackcube.mesh" 		scale3D="50,40,100" />
+		<Model position="850,0,650"	mesh="blackcube.mesh" 		scale3D="50,40,100" />
+      </attached>
+
+      <collisionShapes>
+        <BoxCollisionShape position="0,0,0" halfExtents="1,1,1" />
+      </collisionShapes>
+	</StaticEntity>
+
+</Template>
Index: code/branches/surfaceraceHS14/data/levels/templates/spaceshipDodgeRace.oxt
===================================================================
--- code/branches/surfaceraceHS14/data/levels/templates/spaceshipDodgeRace.oxt	(revision 10128)
+++ code/branches/surfaceraceHS14/data/levels/templates/spaceshipDodgeRace.oxt	(revision 10135)
@@ -69,5 +69,6 @@
   <DodgeRaceShip>
     <camerapositions>
-      <CameraPosition position="0,30,150" direction="0, 0, -1" drag=false mouselook=true /> 
+      <CameraPosition position="0,30,150" direction="0, 0, -1" drag=false mouselook=true />
+      <CameraPosition position="0,100,180" direction="0, -0.2, -1" drag=false mouselook=true />
       <CameraPosition position="0,1300,-100" direction="0, -1, 0" drag=false mouselook=true />
     </camerapositions>
Index: code/branches/surfaceraceHS14/src/modules/dodgerace2/DodgeRace.cc
===================================================================
--- code/branches/surfaceraceHS14/src/modules/dodgerace2/DodgeRace.cc	(revision 10128)
+++ code/branches/surfaceraceHS14/src/modules/dodgerace2/DodgeRace.cc	(revision 10135)
@@ -58,5 +58,6 @@
         multiplier = 1;
         b_combo = false;
-
+        counter = 0;
+        lastPosition = 0;
         // spawn enemy every 3.5 seconds
         //enemySpawnTimer.setTimer(3.5f, true, createExecutor(createFunctor(&DodgeRace::spawnEnemy, this)));
@@ -81,4 +82,28 @@
         toggleShowLevel();
         showLevelTimer.setTimer(1.0f, false, createExecutor(createFunctor(&DodgeRace::toggleShowLevel, this)));
+    }
+
+    void DodgeRace::tick(float dt)
+    {
+    	if (getPlayer() != NULL)
+    	{
+			//WeakPtr<DodgeRaceShip> ship = getPlayer();
+
+			currentPosition = getPlayer()->getWorldPosition().x;
+			counter = counter + (currentPosition - lastPosition);
+			lastPosition = currentPosition;
+
+			if(counter >= 5000)
+			{
+				counter = 0;
+
+				WeakPtr<StaticEntity> stentity = new StaticEntity(this->center_->getContext()); //this->center_->getContext()
+				stentity->addTemplate("DodgeRaceCube01");
+
+				stentity->setPosition(getPlayer()->getWorldPosition() + Vector3(5000, 0, 0));
+				//stentity->setScale3D(50,50,50);
+			}
+    	}
+    	SUPER(DodgeRace, tick, dt);
     }
 
Index: code/branches/surfaceraceHS14/src/modules/dodgerace2/DodgeRace.h
===================================================================
--- code/branches/surfaceraceHS14/src/modules/dodgerace2/DodgeRace.h	(revision 10128)
+++ code/branches/surfaceraceHS14/src/modules/dodgerace2/DodgeRace.h	(revision 10135)
@@ -74,4 +74,6 @@
             virtual void end();
 
+            virtual void tick(float dt);
+
             void levelUp();
 
@@ -93,4 +95,7 @@
             int lives;
             int multiplier;
+            int counter;
+            int currentPosition;
+            int lastPosition;
 
        private:
Index: code/branches/surfaceraceHS14/src/modules/dodgerace2/DodgeRaceShip.cc
===================================================================
--- code/branches/surfaceraceHS14/src/modules/dodgerace2/DodgeRaceShip.cc	(revision 10128)
+++ code/branches/surfaceraceHS14/src/modules/dodgerace2/DodgeRaceShip.cc	(revision 10135)
@@ -42,5 +42,5 @@
         RegisterObject(DodgeRaceShip);
 
-        speed = 500;
+        speed = 800;
         isFireing = false;
         damping = 10;
@@ -82,6 +82,10 @@
                     }
             }
+            /*
             if (pos.z + dist_x > 42*2.5 || pos.z + dist_x < -42*3)
-                velocity.x = 0;
+            {
+            	velocity.x = 0;
+            }
+            */
             pos += Vector3(1000 + velocity.y, 0, velocity.x) * dt;
         }
@@ -99,5 +103,5 @@
         if (camera != NULL)
         {
-            camera->setPosition(Vector3(-pos.z, -posforeward, 0));
+            // camera->setPosition(Vector3(-pos.z, -posforeward, 0));
             camera->setOrientation(Vector3::UNIT_Z, Degree(0));
         }
@@ -145,16 +149,19 @@
     void DodgeRaceShip::boost(bool bBoost)
     {
-        isFireing = bBoost;
+        //isFireing = bBoost;
     }
 
     inline bool DodgeRaceShip::collidesAgainst(WorldEntity* otherObject, btManifoldPoint& contactPoint)
     {
+    	/*
         if (otherObject != NULL && lastEntity != otherObject)
         {
         	lastEntity = otherObject;
         	removeHealth(20);
-            //this->death();
         }
+		*/
 
+
+    	this->death();
         return false;
     }
